﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using HeuristicLab.DataImporter.DataProcessor;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.DataImporter.Data.CommandBase;

namespace HeuristicLab.DataImporter.Backend.Hl2ImporterFormat {
  public class Hl2Importer : IImporter{

    public string Description {
      get { return "Import HL2 file"; }
    }

    Hl2ImporterView view;
    public System.Windows.Forms.UserControl SettingsControl {
      get {
        if (view == null)
          view = new Hl2ImporterView();
        return view;
      }
    }

    public ICommand CreateImportCommand(DataSet dataSet) {
      Hl2ImporterCommand cmd = new Hl2ImporterCommand(dataSet);
      cmd.FileName = view.FileName;
      return cmd;
    }
  }
}
